Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.meta
Interface JDOTypes

All Known Subinterfaces:
  FieldMapping, FieldMetaData, JDBCTypes

All Known Implementing Classes:
  JDOMetaDataGenerator

public interface JDOTypes

Type constants for JDO managed fields.

Field Summary
`static int` | `TYPE_ARRAY`
`static int` | `TYPE_BIGDECIMAL`
`static int` | `TYPE_BIGINTEGER`
`static int` | `TYPE_BOOLEAN`
`static int` | `TYPE_BOOLEAN_OBJ`
`static int` | `TYPE_BYTE`
`static int` | `TYPE_BYTE_OBJ`
`static int` | `TYPE_CHAR`
`static int` | `TYPE_CHAR_OBJ`
`static int` | `TYPE_COLLECTION`
`static int` | `TYPE_DATE`
`static int` | `TYPE_DOUBLE`
`static int` | `TYPE_DOUBLE_OBJ`
`static int` | `TYPE_FCO`
`static int` | `TYPE_FLOAT`
`static int` | `TYPE_FLOAT_OBJ`
`static int` | `TYPE_INT`
`static int` | `TYPE_INT_OBJ`
`static int` | `TYPE_LOCALE`
`static int` | `TYPE_LONG`
`static int` | `TYPE_LONG_OBJ`
`static int` | `TYPE_MAP`
`static int` | `TYPE_NUMBER`
`static int` | `TYPE_OBJECT`
`static int` | `TYPE_PC_OBJECT`
`static int` | `TYPE_SHORT`
`static int` | `TYPE_SHORT_OBJ`
`static int` | `TYPE_STRING`

Field Detail

### TYPE_BOOLEAN

    public static final int TYPE_BOOLEAN

### TYPE_BYTE

    public static final int TYPE_BYTE

### TYPE_CHAR

    public static final int TYPE_CHAR

### TYPE_DOUBLE

    public static final int TYPE_DOUBLE

### TYPE_FLOAT

    public static final int TYPE_FLOAT

### TYPE_INT

    public static final int TYPE_INT

### TYPE_LONG

    public static final int TYPE_LONG

### TYPE_NUMBER

    public static final int TYPE_NUMBER

### TYPE_SHORT

    public static final int TYPE_SHORT

### TYPE_STRING

    public static final int TYPE_STRING

### TYPE_OBJECT

    public static final int TYPE_OBJECT

### TYPE_ARRAY

    public static final int TYPE_ARRAY

### TYPE_COLLECTION

    public static final int TYPE_COLLECTION

### TYPE_MAP

    public static final int TYPE_MAP

### TYPE_DATE

    public static final int TYPE_DATE

### TYPE_FCO

    public static final int TYPE_FCO

### TYPE_BOOLEAN_OBJ

    public static final int TYPE_BOOLEAN_OBJ

### TYPE_BYTE_OBJ

    public static final int TYPE_BYTE_OBJ

### TYPE_CHAR_OBJ

    public static final int TYPE_CHAR_OBJ

### TYPE_DOUBLE_OBJ

    public static final int TYPE_DOUBLE_OBJ

### TYPE_FLOAT_OBJ

    public static final int TYPE_FLOAT_OBJ

### TYPE_INT_OBJ

    public static final int TYPE_INT_OBJ

### TYPE_LONG_OBJ

    public static final int TYPE_LONG_OBJ

### TYPE_SHORT_OBJ

    public static final int TYPE_SHORT_OBJ

### TYPE_BIGDECIMAL

    public static final int TYPE_BIGDECIMAL

### TYPE_BIGINTEGER

    public static final int TYPE_BIGINTEGER

### TYPE_LOCALE

    public static final int TYPE_LOCALE

### TYPE_PC_OBJECT

    public static final int TYPE_PC_OBJECT

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.